org.apache.hc.core5.http.impl.nio

## Class DefaultHttpRequestWriterFactory

- java.lang.Object
- - org.apache.hc.core5.http.impl.nio.DefaultHttpRequestWriterFactory

- All Implemented Interfaces:
    NHttpMessageWriterFactory<HttpRequest>

      @Contract(threading=IMMUTABLE_CONDITIONAL)
      public class DefaultHttpRequestWriterFactory
      extends Object
      implements NHttpMessageWriterFactory<HttpRequest>

  Default factory for request message writers.
  Since:
    4.3

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static DefaultHttpRequestWriterFactory` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultHttpRequestWriterFactory()`
    `DefaultHttpRequestWriterFactory(Http1Config http1Config)`
    `DefaultHttpRequestWriterFactory(Http1Config http1Config, LineFormatter lineFormatter)`
    `DefaultHttpRequestWriterFactory(LineFormatter lineFormatter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `NHttpMessageWriter<HttpRequest>` | `create()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final DefaultHttpRequestWriterFactory INSTANCE

  - ### Constructor Detail

    - #### DefaultHttpRequestWriterFactory

          public DefaultHttpRequestWriterFactory(Http1Config http1Config,
                                                 LineFormatter lineFormatter)

      Since:
        5.3

    - #### DefaultHttpRequestWriterFactory

          public DefaultHttpRequestWriterFactory(Http1Config http1Config)

      Since:
        5.3

    - #### DefaultHttpRequestWriterFactory

          public DefaultHttpRequestWriterFactory(LineFormatter lineFormatter)

    - #### DefaultHttpRequestWriterFactory

          public DefaultHttpRequestWriterFactory()

  - ### Method Detail

    - #### create

          public NHttpMessageWriter<HttpRequest> create()

      Specified by:
        `create` in interface `NHttpMessageWriterFactory<HttpRequest>`

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.